<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns="urn:openaccess">
   <SOAP-ENV:Header>
      <ns:ResponseLimitationHeader SOAP-ENV:mustUnderstand="1"/>
   </SOAP-ENV:Header>
   <SOAP-ENV:Body>
      <ns:RetrieveTradingLimitExtendedDetailsResponse>
         <RetrieveTradingLimitExtendedDetailsAcknowledgement>
            <ns:state>ACK</ns:state>
            <ns:tradingLimit>
               <ns:id>25656</ns:id>
               <ns:version>210</ns:version>
               <ns:exchange>SEMOPX</ns:exchange>
               <ns:centralCounterParty>European Commodity Clearing</ns:centralCounterParty>
               <ns:beginDate>2018-05-19</ns:beginDate>
            </ns:tradingLimit>
            <ns:tradingLimitDetail>
               <ns:settlementMember>MEMBER_SM</ns:settlementMember>
               <ns:participant>MEMBER</ns:participant>
               <ns:portfolio>MEMBER-T01</ns:portfolio>
               <ns:area>ROI-EIRGRID-DA</ns:area>
            </ns:tradingLimitDetail>
            <ns:tradingLimitDetail>
               <ns:settlementMember>MEMBER_SM</ns:settlementMember>
               <ns:participant>MEMBER</ns:participant>
               <ns:portfolio>MEMBER-T02</ns:portfolio>
               <ns:area>ROI-EIRGRID-IDA1</ns:area>
            </ns:tradingLimitDetail>
            <ns:tradingLimitDetail>
               <ns:settlementMember>MEMBER_SM</ns:settlementMember>
               <ns:participant>MEMBER</ns:participant>
               <ns:portfolio>MEMBER-T02</ns:portfolio>
               <ns:area>ROI-EIRGRID-IDA2</ns:area>
            </ns:tradingLimitDetail>
            <ns:tradingLimitDetail>
               <ns:settlementMember>MEMBER_SM</ns:settlementMember>
               <ns:participant>MEMBER</ns:participant>
               <ns:portfolio>MEMBER-T03</ns:portfolio>
               <ns:area>ROI-EIRGRID-IDA3</ns:area>
            </ns:tradingLimitDetail>
         </RetrieveTradingLimitExtendedDetailsAcknowledgement>
      </ns:RetrieveTradingLimitExtendedDetailsResponse>
   </SOAP-ENV:Body>
</SOAP-ENV:Envelope>